Medication Administration Created Detailed

Page View

Medication notifications contain details about any medication administrations, i.e., when and how a medication is given to a patient during an inpatient stay.

You can receive notifications when a medication administration is created, updated, or deleted in your connection’s system.

This is different from any Order Medication Request notifications, which are for medication orders or prescriptions.

created

Indicates that a new medication administration has been created for a patient that your organization works with.

You can opt in for lightweight or detailed notifications.

  • A lightweight notification provides the MedicationAdministration reference, medication code, patient identifier, and timestamp.
  • A detailed notification contains everything in the lightweight plus extended medication and patient info, practitioner info, and any related references.

Select payload example

MedicationAdministrationCreatedBundleExample
json
1
{
2
"resourceType": "Bundle",
3
"id": "MedicationAdministrationCreatedBundleExample",
4
"type": "message",
5
"entry": [
6
{
7
"resource": {
8
"eventUri": "https://fhir.redoxengine.com/EventDefinition/MedicationAdministrationCreated",
9
"resourceType": "MessageHeader",
10
"id": "b6f11fb1-a02d-5fff-867d-4eee86f3d8be",
11
"source": {
12
"name": "Good Health Clinics",
13
"endpoint": "urn:uuid:05107c08-fe2f-4740-8c1d-c7107d18ebe5"
14
},
15
"focus": [
16
{
17
"reference": "urn:uuid:9916c843-299f-5549-ad19-01662b69c259"
18
},
19
{
20
"reference": "urn:uuid:aaf00b4f-4c07-5715-9325-aa0a6b5616cf"
21
}
22
],
23
"definition": "https://fhir.redoxengine.com/MessageDefinition/MedicationAdministrationCreatedLight"
24
},
25
"fullUrl": "urn:uuid:b6f11fb1-a02d-5fff-867d-4eee86f3d8be"
26
},
27
{
28
"fullUrl": "urn:uuid:9916c843-299f-5549-ad19-01662b69c259",
29
"resource": {
30
"resourceType": "MedicationAdministration",
31
"id": "9916c843-299f-5549-ad19-01662b69c259",
32
"status": "completed",
33
"medicationCodeableConcept": {
34
"coding": [
35
{
36
"code": "104894",
37
"system": "http://www.nlm.nih.gov/research/umls/rxnorm",
38
"display": "Ondansetron 4 Mg Po Tbdp"
39
}
40
]
41
},
42
"request": {
43
"identifier": {
44
"system": "urn:redox:example:MedOrderID",
45
"value": "06dc94e9-ce21-4ad6-89b7-bfb51154bbd6"
46
}
47
},
48
"identifier": [
49
{
50
"system": "urn:redox:example:AdministrationID",
51
"value": "7a1e3c52-1f0b-4d8e-9c41-2b6f5e8d9a01"
52
}
53
],
54
"subject": {
55
"reference": "urn:uuid:aaf00b4f-4c07-5715-9325-aa0a6b5616cf"
56
},
57
"effectiveDateTime": "2026-10-29T08:00:00.000Z"
58
}
59
},
60
{
61
"fullUrl": "urn:uuid:aaf00b4f-4c07-5715-9325-aa0a6b5616cf",
62
"resource": {
63
"resourceType": "Patient",
64
"id": "aaf00b4f-4c07-5715-9325-aa0a6b5616cf",
65
"identifier": [
66
{
67
"value": "0000000001",
68
"system": "urn:redox:health-one:MR"
69
},
70
{
71
"value": "101-01-0001",
72
"system": "http://hl7.org/fhir/sid/us-ssn"
73
}
74
],
75
"name": [
76
{
77
"given": [
78
"Timothy",
79
"Paul"
80
],
81
"family": "Bixby"
82
}
83
],
84
"gender": "male",
85
"birthDate": "2008-01-06"
86
}
87
}
88
],
89
"timestamp": "2026-10-29T16:05:00.000Z"
90
}

Request Body Schema

    Bundle sent as part of a MedicationAdministration-created event

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Indicates the purpose of this bundle - how it is intended to be used.

    Value: message
  • entry
    required, Array of messageHeader, medicationAdministration, patient, encounter

    An entry in the bundle containing a FHIR resource

    • fullUrl
      string

      The Absolute URL for the resource. The fullUrl SHALL NOT disagree with the id in the resource - i.e. if the fullUrl is not a urn:uuid, the URL shall be version-independent URL consistent with the Resource.id. The fullUrl is a version independent reference to the resource. The fullUrl element SHALL have a value except that:

      • fullUrl can be empty on a POST (although it does not need to when specifying a temporary id for reference in the bundle)
      • Results from operations might involve resources that are not identified.
    • resource
      object

      The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: MessageHeader
      • source
        required, object

        The source application from which this message originated.

        • endpoint
          required, string

          Identifies the routing target to send acknowledgements to.

      • focus
        required, Array of object

        The actual data of the message - a reference to the root/focus class of the event.

        Must be a resource of type Resource.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • definition
        required, string

        Permanent link to the MessageDefinition for this message.

      • eventUri
        required, string

        Code that identifies the event this message represents and connects it with its definition. Events defined as part of the FHIR specification have the system value http://terminology.hl7.org/CodeSystem/message-events. Alternatively uri to the EventDefinition.

        Value: https://fhir.redoxengine.com/EventDefinition/MedicationAdministrationCreated
  • timestamp
    string

    The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.